<RelativeLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    android:layout_width="match_parent"
    android:layout_height="match_parent"
    android:background="#F6F6F6">

    <LinearLayout
        android:id="@+id/id_ll_top"
        android:layout_width="match_parent"
        android:layout_height="44dp"
        android:background="@color/white"
        android:gravity="center_vertical"
        android:orientation="horizontal"
        android:visibility="gone">

        <TextView
            android:id="@+id/id_tv_warehouse_pick_up_goods"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_marginLeft="15dp"
            android:layout_marginRight="10dp"
            android:background="@drawable/shape_ff2e31_r12_bg"
            android:gravity="center"
            android:includeFontPadding="false"
            android:paddingLeft="10dp"
            android:paddingTop="5dp"
            android:paddingRight="10dp"
            android:paddingBottom="5dp"
            android:text="实物商品"
            android:textColor="#FF2E31"
            android:textSize="14sp" />

        <TextView
            android:id="@+id/id_tv_warehouse_card"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:background="@drawable/shape_ffffff_r12_bg"
            android:gravity="center"
            android:includeFontPadding="false"
            android:paddingLeft="10dp"
            android:paddingTop="5dp"
            android:paddingRight="10dp"
            android:paddingBottom="5dp"
            android:text="话费/卡券" />
    </LinearLayout>

    <include layout="@layout/layout_empty" />

    <LinearLayout
        android:id="@+id/id_ll_notice"
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:layout_marginLeft="10dp"
        android:layout_marginTop="10dp"
        android:layout_marginRight="10dp"
        android:background="@drawable/shape_notice_bg"
        android:gravity="center_vertical"
        android:orientation="horizontal"
        android:paddingTop="10.5dp"
        android:paddingBottom="10.5dp">

        <ImageView
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_marginLeft="15dp"
            android:layout_marginRight="10dp"
            android:src="@drawable/icon_tongzhi" />

        <TextView
            android:id="@+id/id_tv_notice_content"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:textColor="#FD9630"
            android:textSize="14sp" />
    </LinearLayout>

    <androidx.swiperefreshlayout.widget.SwipeRefreshLayout
        android:id="@+id/refreshLayout"
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:layout_above="@+id/id_ll_tihuo_bottom"
        android:layout_below="@+id/id_ll_notice">


        <RelativeLayout
            android:layout_width="match_parent"
            android:layout_height="wrap_content">

            <androidx.recyclerview.widget.RecyclerView
                android:id="@+id/recyclerView"
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:layout_marginTop="10dp" />

            <TextView
                android:id="@+id/id_tv_dixian"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_below="@+id/recyclerView"
                android:layout_centerHorizontal="true"
                android:padding="10dp"
                android:text="@string/box_detail_open_box_bottom_desc"
                android:textColor="@color/color_999999"
                android:textSize="13sp" />


        </RelativeLayout>

    </androidx.swiperefreshlayout.widget.SwipeRefreshLayout>

    <LinearLayout
        android:id="@+id/id_ll_tihuo_bottom"
        android:layout_width="match_parent"
        android:layout_height="50dp"
        android:layout_alignParentBottom="true"
        android:background="@color/white"
        android:gravity="center_vertical"
        android:paddingRight="15dp">

        <LinearLayout
            android:id="@+id/id_ll_all_choose"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:gravity="center_vertical">

            <ImageView
                android:id="@+id/id_img_xuanze"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_marginLeft="15dp"
                android:layout_marginRight="7dp"
                android:src="@drawable/icon_xuanze" />

            <TextView
                android:id="@+id/id_tv_all_choose"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:text="全选"
                android:textColor="@color/color_333333"
                android:textSize="13sp" />
        </LinearLayout>

        <View
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_weight="1" />

        <TextView
            android:id="@+id/id_tv_huishou"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:background="@drawable/button_recycle_center"
            android:gravity="center"
            android:text="@string/immediate_recycling"
            android:textColor="@color/white"
            android:textSize="14sp"
            android:textStyle="bold"
            android:visibility="gone" />

        <TextView
            android:id="@+id/id_tv_fahuo"
            android:layout_width="80dp"
            android:layout_height="32dp"
            android:layout_marginLeft="15dp"
            android:background="@drawable/shape_fahuo_bg"
            android:gravity="center"
            android:text="@string/take_delivery"
            android:textColor="@color/white"
            android:textSize="14sp"
            android:textStyle="bold"
            android:visibility="visible" />
    </LinearLayout>

    <RelativeLayout
        android:id="@+id/id_rl_xianshi"
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:layout_above="@+id/id_ll_tihuo_bottom"
        android:layout_marginLeft="10dp"
        android:layout_marginRight="10dp"
        android:layout_marginBottom="10dp"
        android:background="@drawable/shape_cangku_bottom_bg"
        android:paddingTop="5dp"
        android:paddingBottom="5dp">

        <TextView
            android:id="@+id/id_tv_time_limit"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_centerVertical="true"
            android:layout_marginLeft="15dp"
            android:background="@drawable/shape_4c84ff_r3"
            android:paddingLeft="3dp"
            android:paddingTop="2dp"
            android:paddingRight="3dp"
            android:paddingBottom="2dp"
            android:text="@string/time_limit"
            android:textColor="@color/white"
            android:textSize="15sp" />


        <TextView
            android:id="@+id/id_tv_depot_text"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_centerVertical="true"
            android:layout_marginLeft="10dp"
            android:layout_toRightOf="@+id/id_tv_time_limit"
            android:textColor="#2669FF"
            android:textSize="15sp" />

        <ImageView
            android:id="@+id/id_img_xianshi"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_alignParentRight="true"
            android:layout_centerVertical="true"
            android:paddingLeft="14dp"
            android:paddingRight="14dp"
            android:src="@drawable/icon_bottom_guanbi" />
    </RelativeLayout>
</RelativeLayout>